<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('dividers', function (Blueprint $table) {
            $table->enum('text_alignment', ['right', 'center', 'left'])->default('center')->after('title');
            $table->integer('font_size')->default(24)->after('text_alignment'); // px
        });
    }

    public function down(): void
    {
        Schema::table('dividers', function (Blueprint $table) {
            $table->dropColumn(['text_alignment', 'font_size']);
        });
    }
};
